package com.tuoheng.admin.enums.code.workorder;

/**
 *  分配工单返回码
 *      模块代码：26（工单管理）
 *      接口代码：04 （分配工单）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
public enum DistributionWorkorderCodeEnum {

    DISTRIBUTION_IS_FAILED(1260400, "分配工单失败"),
    ID_LIST_IS_NULL(1260401, "工单id为空"),
    WORK_ORDER_IS_NOT_EXIST(1260402, "工单不存在"),
    ASSIGN_DEPT_ID_IS_NULL(1260403, "指派部门ID为空"),
    ASSIGN_USER_ID_IS_NULL(1260404, "指派负责人为空"),
    ASSIGN_USER_ID_IS_NOT_EXIST(1260405, "指派负责人不存在"),
    SUPER_ADMIN_NOT_DISTRIBUTION(1260406, "超级管理员不能分配工单"),
    ADMIN_NOT_DISTRIBUTION_CHILD_DEPT_WORK_ORDER(1260407, "管理员不能分配子部门工单"),
    ORDINARY_USER_NOT_DISTRIBUTION(1260408, "普通用户不能分配工单");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    DistributionWorkorderCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
